# Weather spot name and platform
# device hostname will be [name].local
esphome:
  name: ${NAME}
  platform: ESP8266
  board: ${BOARD_TYPE}

# WiFi connection
wifi:
  ssid: !secret WIFI_SSID
  password: !secret WIFI_PASS

# Enable logging
logger:
  level: DEBUG

# Enable Home Assistant API
api:
  encryption:
    key: !secret ENCRYPTION_KEY

# Communication with BME280
i2c:
  scl: D1
  sda: D2
  scan: False

# BME280 sensor settings
sensor:
  - platform: bme280_i2c
    address: 0x76
    update_interval: ${ACTIVE_DURATION}
    temperature:
      name: ${NAME} Temperature
      accuracy_decimals: 2
    humidity:
      name: ${NAME} Humidity
      accuracy_decimals: 2
    pressure:
      name: ${NAME} Pressure
      accuracy_decimals: 2
